- Qt 6.6
- Qt SCXML
- C++ Classes
- Loader
- Qt 6.6.0 Reference Documentation

# Loader Class

class QScxmlCompiler::Loader

The Loader class is a URI resolver and resource loader for an SCXML compiler. More...

- List of all members, including inherited members

## Public Functions

| Loader()
virtual | ~Loader()
virtual QByteArray | load(const QString &name, const QString &baseDir, QStringList *errors) = 0

## Detailed Description

## Member Function Documentation

### Loader::Loader()

Creates a new loader.

### `[virtual noexcept]` Loader::~Loader()

Destroys the loader.

### `[pure virtual]` QByteArray Loader::load(const QString &name, const QString &baseDir, QStringList *errors)

Resolves the URI name and loads an SCXML file from the directory specified by baseDir. errors contains information about the errors that might have occurred.

Returns a QByteArray that stores the contents of the file.